#!/bin/sh -f
#-*-tcl-*-
# the next line restarts using tclsh \
exec ${WISH:-"wish8.2"} "$0" -- ${1+"$@"}
# exec ${WISH:-"wish8.2"} "$0" -- ${1+"$@"} >test_ct.log 2>&1 & exit 0

# ==============================================================================
# test_ct.tcl --
#
#	test_ct: trace procedure calls
#
# Copyright (c) 2000 by T&E Soft, Stefan G. R. Finzel <finzel@osn.de>.
# All rights reserved.
#
# See the file "license.terms" for information on usage and redistribution of
# this file, and for a DISCLAIMER OF ALL WARRANTIES. 
#
# RCS: @(#) $Id: test_ct.tcl,v 1.4 2002/11/05 15:22:09 fis Exp $
# ==============================================================================

set prg(app,dir) [file dirname [info script]]
set auto_path [linsert ${auto_path} 0 [file join $prg(app,dir) ..]]

package require sgxCT 1.0

# ==============================================================================

# trace all SoftGuard procs
set re {.*}
::sgxCT::Init ${re}
set cmd [lindex ${argv} 0]
set argv [lrange ${argv} 1 end]
source ${cmd}
::sgxCT::Summary ${re}
::sgxCT::Reset ${re}


# ==============================================================================
