#!/bin/sh -f
#-*-tcl-*-
# the next line restarts using tclsh \
exec ${WISH:-"wish8.2"} "$0" -- ${1+"$@"}
# exec ${WISH:-"wish8.2"} "$0" -- ${1+"$@"} >test_pkg.log 2>&1 & exit 0

# ==============================================================================
# test_pkg.tcl --
#
#	test_pkg: validate coding guidelines for variables
#
# Copyright (c) 2000 by T&E Soft, Stefan G. R. Finzel <finzel@osn.de>.
# All rights reserved.
#
# See the file "license.terms" for information on usage and redistribution of
# this file, and for a DISCLAIMER OF ALL WARRANTIES. 
#
# RCS: @(#) $Id: test_pkg.tcl,v 1.5 2002/11/08 18:31:11 fis Exp $
# ==============================================================================

set prg(app,dir) [file dirname [info script]]
set auto_path [linsert ${auto_path} 0 [file join $prg(app,dir) ..]]

package require sgxTVC 1.0

# ==============================================================================

set cmd [lindex ${argv} 0]
set argv [lrange ${argv} 1 end]
lappend prg(exitprocs) ::sgxTVC::_Pkgs_
source ${cmd}

# ==============================================================================

