#!/bin/sh -f
#-*-tcl-*-
# the next line restarts using tclsh \
exec expect "$0" -- ${1+"$@"}
# exec ${TCLSH:-"tclsh8.2"} "$0" -- ${1+"$@"} >test_tvc.log 2>&1 & exit 0

# ==============================================================================
# test_tvc.tcl --
#
#	test_tvc: test variable(s) consistency
#
# Copyright (c) 2000 by T&E Soft, Stefan G. R. Finzel <finzel@osn.de>.
# All rights reserved.
#
# See the file "license.terms" for information on usage and redistribution of
# this file, and for a DISCLAIMER OF ALL WARRANTIES. 
#
# RCS: @(#) $Id: test_tvc.tcl,v 1.8 2002/11/05 15:22:09 fis Exp $
# ==============================================================================

set prg(app,dir) [file dirname [info script]]
set auto_path [linsert ${auto_path} 0 [file join $prg(app,dir) ..]]

package require Tcl 8.0
package require sgxTVC 1.0

# ==============================================================================

set exit_value 0

# check SoftGuard standalone scripts (expect)
# 	keep and reset original setting:
set argv_org ${argv}
set argv0_org ${argv0}
# 	mark as test
set argv TVC

set argv0 [file join /opt sg lib expect UNUSED]
incr exit_value [::sgxTVC::_Files_ [glob -nocomplain -- [file join /opt sg lib expect *.tcl]]]

# incr exit_value [::sgxTVC::_Files_ [glob -nocomplain -- [file join /opt sg test db.i*.tcl]]]

# incr exit_value [::sgxTVC::_Files_ [glob -nocomplain -- [file join /opt sg test sg*.tcl]]]

# incr exit_value [::sgxTVC::_Files_ [glob -nocomplain -- [file join /opt sg C6000 *.tcl]]]

#	reset
set argv0 ${argv0_org}
set argv ${argv0_org}

# check all SoftGuard packages
incr exit_value [::sgxTVC::_Pkgs_ {^:*(sg.*)$}]
exit ${exit_value}

# ==============================================================================


