#!/bin/sh -f
#-*-tcl-*-
# the next line restarts using tclsh \
exec ${TCLSH:-"tclsh8.2"} "$0" -- ${1+"$@"}
# exec ${TCLSH:-"tclsh8.2"} "$0" -- ${1+"$@"} >test_rsm.log 2>&1 & exit 0

# ==============================================================================
# test_rsm.tcl --
#
#	test_rsm: check resource standard metrics
#
# Copyright (c) 2000 by T&E Soft, Stefan G. R. Finzel <finzel@osn.de>.
# All rights reserved.
#
# See the file "license.terms" for information on usage and redistribution of
# this file, and for a DISCLAIMER OF ALL WARRANTIES. 
#
# RCS: @(#) $Id: test_rsm.tcl,v 1.4 2002/11/05 15:22:09 fis Exp $
# ==============================================================================

set prg(app,dir) [file dirname [info script]]
set auto_path [linsert ${auto_path} 0 [file join $prg(app,dir) ..]]

package require Tcl 8.0
package require sgxRSM 1.0

# ==============================================================================

set exit_value 0

# qualify standalone scripts
incr exit_value [::sgxRSM::_Files_ [glob -nocomplain -- [file join /opt sg lib expect *.tcl]]]

# qualify all SoftGuard packages
incr exit_value [::sgxRSM::_Pkgs_ {^:*(sg.*)$}]
exit ${exit_value}

# ==============================================================================


